XmbDrawString(3X11)

NAME
XmbDrawString, XwcDrawString, Xutf8DrawString - draw text using a single font set

SYNTAX

void XmbDrawString(Display *display, Drawable d, XFontSet font_set, GC gc, int x, int y, char *string, int num_bytes);

void XwcDrawString(Display *display, Drawable d, XFontSet font_set, GC gc, int x, int y, wchar_t *string, int num_wchars);

void Xutf8DrawString(Display *display, Drawable d, XFontSet font_set, GC gc, int x, int y, char *string, int num_bytes);

ARGUMENTS

d   Specifies the drawable.

display
    Specifies the connection to the X server.

font_set
    Specifies the font set.

gc  Specifies the GC.

num_bytes
    Specifies the number of bytes in the string argument.

num_wchars
    Specifies the number of characters in the string argument.

string
    Specifies the character string.

x

y   Specify the x and y coordinates.

DESCRIPTION
The and functions draw the specified text with the foreground pixel. When the has missing charsets, each unavailable character is drawn with the default string returned by The behavior for an invalid codepoint is undefined.

The function is an extension introduced by The XFree86 Project, Inc. in their 4.0.2 release. Its presence is indicated by the macro

SEE ALSO
XDrawImageString(3X11), XDrawString(3X11), XDrawText(3X11), XmbDrawImageString(3X11), XmbDrawText(3X11)
Xlib - C Language X Interface